# Injects krb5-credential from .vminfo.json if available
# 02.07.2025 da

function Import-VMInfo {
    param (
        [string]$Path
    )

    if (Test-Path $Path) {
        return Get-Content -Path $Path -Raw | ConvertFrom-Json
    } else {
        Write-Error "Fehler beim Einlesen der VMInfo Datei ($Path nicht gefunden)."
        Write-Error "Tipp: Beim Neustart der VM wird diese Datei neu angelegt."
        Pause
        exit
    }
}

$VMInfoPath = "Y:\.vminfo.json"

# Schleife, die auf das Laufwerk wartet
if (-not (Test-Path $VMInfoPath)) {
    Write-Host "$VMInfoPath nicht gefunden. Skript beenden."
    exit
}

# VMInfo aus JSON File einlesen
$VMInfo = Import-VMInfo -Path $VMInfoPath

& $PSScriptRoot\injector.ps1 $VMInfo.krb5.cred
